<id>
YaBB Zodiac for YaBB 2.6.0
</id>

<version>
1.5
</version>

<mod info>
Description
-----------
This Mod will display Members Zodiac sign in the users profile and message view if the Birthdate field is filled out.

Installation
------------
1) Modify YaBB files using BoardMod or manually.
2) Upload modified files to your server in ASCII mode.
5) Go to 'Admin Center - Forum Settings - Show / Hide Items' to enable this feature.

Files to edit
-------------
Admin/ManageTemplates.pm
Admin/Modlist.pm
Admin/NewSettings.pm
Admin/Settings_Main.pm
Languages/English/Admin.lng
Languages/English/Profiles.lng
Sources/Display.pm
Sources/EventCalendarBirthdays.pm
Sources/Load.pm
Sources/MyCenter.pm
Sources/Profile.pm
Templates/default/Display.template
Templates/default/MyCenter.template

Version History
---------------
1.0 - Updated for YaBB 2.2.3 - Derek Barnstorm - 28th July 2008
1.1 - Corrected dates (2.2.3) - 4th August 2008
1.2 - Updated for YaBB 2.3, added enable/disable in Admin Center - 15th October 2008
1.3 - Updated for YaBB 2.4 - 14th April 2009
1.4 - Updated for YaBB 2.5 and added to ManageTemplates.pl - 16th January 2011
1.5 - Updated for YaBB 2.6.0 by Dandello - can use sub starsign from EventCalBirthdays. Also uses glyphs from EventCalBirthdays

### YaBB 2.1 ###
1.0 - First release (2.1) - Ron (Spikecity) - 11th July 2007
1.0a - Fixed residual zodiac signs in thread posts if a user does not have a birthdate filled out. (2.1) - Ron (Spikecity)
</mod info>

<author>
Spikecity
</author>

<homepage>
</homepage>

<edit file>
Admin/ManageTemplates.pm
</edit file>

<search for>
        $outblock =~ s/({|<)yabb gender(}|>)//gsm;
</search for>

<add after>
        $outblock =~ s/({|<)yabb zodiac(}|>)//gsm;
</add after>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    $mod_zodiac = "YaBB Zodiac|Spikecity, updated for 2.6.0 by Dandello|Shows members zodiac sign.|1.5|20th July 2014";
    push @installed_mods, $mod_zodiac;

</add before>

<edit file>
Admin/NewSettings.pm
</edit file>

<search for>
\$showgenderimage = $showgenderimage;       # Set to 1 to display each member's gender in the message view (by the ICQ.. etc.)
</search for>

<add after>
\$showzodiac = $showzodiac;                     # Set to 1 to display each member's zodiac sign in view profile and message view
</add after>

<edit file>
Admin/Settings_Main.pm
</edit file>

<search for>
            name => 'showgenderimage',
            validate => 'boolean',
        },
</search for>

<add after>
        {
            description => qq~<label for="showzodiac">$zodiac_txt{'admin'}</label>~,
            input_html => qq~<input type="checkbox" name="showzodiac" id="showzodiac" value="1"${ischecked($showzodiac)} />~,
            name => 'showzodiac',
            validate => 'boolean',
        },
</add after>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
1;
</search for>

<add before>
%zodiac_txt = (   #YaBB Zodiac Mod
'admin' => 'Show Zodiac Signs in Profile?',
);

</add before>

<edit file>
Languages/English/Display.lng
</edit file>

<search for>
1;
</search for>

<add before>
%zodiac_txt = (   #YaBB Zodiac Mod
'sign' => 'Zodiac sign',
);

</add before>

<edit file>
Languages/English/Profile.lng
</edit file>

<search for>
1;
</search for>

<add before>
%zodiac_txt = (   #YaBB Zodiac Mod
'sign' => 'Zodiac sign',
'Aquarius' => 'Aquarius',
'Aries' => 'Aries',
'Libra' => 'Libra',
'Gemini' => 'Gemini',
'Leo' => 'Leo',
'Sagittarius' => 'Sagittarius',
'Virgo' => 'Virgo',
'Cancerian' => 'Cancer',
'Capricorn' => 'Capricorn',
'Scorpio' => 'Scorpio',
'Pisces' => 'Pisces',
'Taurus' => 'Taurus',
);

</add before>

<edit file>
Sources/Display.pm
</edit file>

<search for>
        $outblock =~ s/{yabb gender}/${$uid.$musername}{'gender'}/gsm;
</search for>

<add after>
        $outblock =~ s/{yabb zodiac}/${$uid.$musername}{'zodiac'}/gsm;
</add after>

<edit file>
Sources/EventCalBirthdays.pm
</edit file>

<search for>
    my ( $user_bdday,$user_bdmon ) = @_;
</search for>

<replace>
    my ( $user_bdday,$user_bdmon, $text ) = @_;
</replace>

<search for>
            $sternzeichen = "$var_cal{$stars[$i]}";
</search for>

<replace>
            if ( $text ) {
                LoadLanguage('Profile');
                $sternzeichen = "$zodiac_txt{$stars[$i]}";
            }
            else {
                $sternzeichen = "$var_cal{$stars[$i]}";
            }
</replace>

<edit file>
Sources/Load.pm
</edit file>

<search for>
    else {
        ${ $uid . $user }{'gender'} = q{};
    }
</search for>

<add after>

    if ($showzodiac && ${ $uid . $user }{'bday'}) {
        require Sources::EventCalBirthdays;
        my ($user_bdmon, $user_bdday, undef ) = split /\//xsm, ${ $uid . $user }{'bday'} ;
        $zodiac = starsign($user_bdday, $user_bdmon);
        ${ $uid . $user }{'zodiac'} = qq~<span style="vertical-align: middle;">$zodiac_txt{'sign'}:</span> $zodiac<br />~;
    }
    else {
        ${ $uid . $user }{'zodiac'} = q{};
    }
</add after>

<edit file>
Sources/MyCenter.pm
</edit file>

<search for>
        $myprofileblock =~
          s/{yabb gender}/${$uid.$username}{'gender'}/gsm;
</search for>

<add after>
        $myprofileblock =~ 
          s/{yabb zodiac}/${$uid.$username}{'zodiac'}/gsm;
</add after>

<edit file>
Sources/Profile.pm
</edit file>

<search for>
                        $age$isbday
                        </div>~;
</search for>

<add after>
            if ($showzodiac) {
            require Sources::EventCalBirthdays;
            my ($user_bdmon, $user_bdday, undef ) = split /\//xsm, ${ $uid . $user }{'bday'} ;
            $memberzodiac = starsign($user_bdday, $user_bdmon, 'text' );
            $row_zodiac = qq~
                        <div class="contactleft">
                        <b>$zodiac_txt{'sign'}:</b>
                        </div>
                        <div class="contactright">
                        $memberzodiac
                        </div>~;
        }
</add after>

<search for>
        $row_website,  $row_signature, $showusertext
    );
</search for>

<add after>
    my ($row_zodiac);
</add after>

<search for>
        $my_gender =~ s/{yabb row_age}/$row_age/sm;
</search for>

<add after>
        $my_gender =~ s/{yabb row_zodiac}/$row_zodiac/sm;
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
                        {yabb gender}
</search for>

<add after>
                        {yabb zodiac}
</add after>

<edit file>
Templates/default/MyCenter.template
</edit file>

<search for>
        {yabb gender}
</search for>

<add after>
        {yabb zodiac}
</add after>

<edit file>
Templates/default/MyProfile.template
</edit file>

<search for>
            {yabb row_age}
</search for>

<add after>
            {yabb row_zodiac}
</add after>
